Subject: Re: draft to RFC ?

From: Ken Chapman <[email-masked]>
Date: Mon, 20 Jul 1998 08:50:36 -0400

Rob,
Thanks for the "clarification".

At 05:47 PM 7/16/98 -0400, Rob Frye wrote:
>At 03:24 PM 7/16/98 , Ken Chapman wrote:
>>I have an issue that is more an SNMP SMI than an ATM issue.
>>
>>I noticed that RFC 1695 has a DEFVAL for most of the OBJECT-TYPEs
>>that are of SYNTAX RowStatus.  (And this persists into atm1ng-04.)
>>This, IMHO, is broken.  It is defeating much of the semantics of RowStatus.
>>For example, if an NMS sends a set to an agent with just one
>>varbind to any one of the columns in a atmTrafficDescrParamTable for
>>a row that does not exist, then the row will be created and activated, 
>>and no atmTrafficDescrRowStatus is needed (since it has a DEFVAL of active).
>>
>>I would like to know if that was the intent. 
>>
>>Do others think this is "broken"?
>
>This is permitted in RFC 1903 

I found it (I think)!  It is not obvious, but I see in note (4) to the state 
table on page 9 that its ok "because the agent chosses to create the
isnatance."
It would have been nice to have mentioned that providing a DEFVAL in the 
MIB definition implies that the agent should behave that way, since it only
mentions going to states B or C and not to D, which the DEFVAL can force.
IMHO this could use a little clarification in a future release of RFC 1903.

>and an example given in Sec 7.10 of RFC 1902.  

I had missed this, too.  Thanks.  
I guess that means it is permitted!  :^)

I withdraw my issue. 
(Note: It wouldn't hurt to add an explanation in the DESCRIPTION clauses of
the
RowStatus varbinds that have a DEFVAL caluse as to what is the expected
behavior.)
	Ken

>Care must be taken to ensure that
>if "active" or "createAndGo" are the DEFVAL values chosen,
>then the DEFVALs of other column variables must
>"make protocol sense".  If a row could be created
>and active by leaving out certain columns, then the
>DEFVAL for a RowStatus variable should *not* be "active"
>or "createAndGo".
>
>-- Rob.
>
>~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Rob Frye ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
>Sr. Network Management Architect   Email:             [email-masked]
>MCI Telecommunications Corp.       Phone: +1-703-715-7225/V272-7225
>2100 Reston Parkway, Suite 600     Fax:             +1-703-715-7436
>Reston, VA  20191                  Pager:           +1-888-270-1537
>~~~~~~~~~~~~~~~~~~~~~~~~Procrastinate Later~~~~~~~~~~~~~~~~~~~~~~~~
>
>
================================================
Ken Chapman                 Argon Networks, Inc.
tel: 978-486-0665 x146      25 Porter Road
fax: 978-486-9379           Littleton, MA  01460
mailto:[email-masked]   http://www.Argon.com
================================================